Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 188036 - Create WebService From WSDL generates invalid Web Service class
Create WebService From WSDL generates invalid Web Service class
Status: VERIFIED FIXED
Product: webservices
Classification: Unclassified
Component: JAX-WS
6.x
PC Linux
: P3 (vote)
: 7.0
Assigned To: Milan Kuchtiak
issues@webservices
69patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-24 09:36 UTC by wvreeven
Modified: 2010-07-19 09:15 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Web Service Maven project (3.40 KB, application/zip)
2010-06-24 09:36 UTC, wvreeven
Details
Valid Web Service class as generated by NetBeans 6.7.1 (727 bytes, text/x-java)
2010-06-24 09:37 UTC, wvreeven
Details
Invalid Web Service class as generated by NetBeans 6.9 (696 bytes, text/x-java)
2010-06-24 09:38 UTC, wvreeven
Details
Template file for Web Service From WSDL (244 bytes, text/x-java)
2010-06-24 09:38 UTC, wvreeven
Details

Note You need to log in before you can comment on or make changes to this bug.
Description wvreeven 2010-06-24 09:36:56 UTC
Created attachment 100384 [details]
Web Service Maven project

In my Maven project I created an XSD and, from that, a WSDL. Next I generated a Web Service from the WSDL and this produces an invalid Web Service class file. Using NetBeans 6.7.1 I get a correct one.

I'll attach my Maven project, the invalid class and the valid class to this issue.
Comment 1 wvreeven 2010-06-24 09:37:32 UTC
Created attachment 100385 [details]
Valid Web Service class as generated by NetBeans 6.7.1
Comment 2 wvreeven 2010-06-24 09:38:03 UTC
Created attachment 100386 [details]
Invalid Web Service class as generated by NetBeans 6.9
Comment 3 wvreeven 2010-06-24 09:38:49 UTC
Created attachment 100387 [details]
Template file for Web Service From WSDL
Comment 4 Milan Kuchtiak 2010-06-24 13:18:25 UTC
Fixed.
http://hg.netbeans.org/web-main/rev/d4e19b33dae9

Would be worth to integrate this (very simple) fix to 6.9.1
Comment 5 wvreeven 2010-06-24 13:21:07 UTC
Excellent! Yes, please include this fix in 6.9.1 since I am about to create LOTS of Web Services with NetBeans :-)
Comment 6 rbalada 2010-06-24 21:37:09 UTC
main #d4e19b33dae9 transplanted to release691 #8105ed47cd2b

Jardo please verify A.S.A.P.

Thanks,
-R
Comment 7 Quality Engineering 2010-06-25 03:17:21 UTC
Integrated into 'main-golden', will be available in build *201006250001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/d4e19b33dae9
User: mkuchtiak@netbeans.org
Log: #188036: fixed invalid WS impl class generation
Comment 8 rbalada 2010-06-25 06:16:34 UTC
Last chance for inclusion in release691.

Please verify within 4 hours from now, since I have got limited time to transplant remaining bugfixes into release691 repository. June 25, 1 PM Prague time is my deadline. After that time, please do also the transplant/porting work if you want to include it.

Thank you for understanding,
-R
Comment 9 wvreeven 2010-06-25 06:29:27 UTC
Verified om build 201006250001. Excellent work!


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo